<?php

namespace Drupal\podcast_publisher;

use Drupal\file\FileInterface;

/**
 * Service providing helper functions for audio file handling.
 */
interface PodcastAudioServiceInterface {

  /**
   * Gets the duration of a given audio file.
   *
   * @param \Drupal\file\FileInterface $file
   *   The audio file entity.
   *
   * @return string
   *   The duration.
   */
  public function getDuration(FileInterface $file);

}
